import "../styles/globals.css"
import "bootstrap/dist/css/bootstrap.css"
import "bootstrap-icons/font/bootstrap-icons.css"
import Layout from "../components/common/Layout"
import type { AppProps } from "next/app"
import type { DehydratedState } from "react-query"

function MyApp({ Component, pageProps }: AppProps<{dehydratedState: DehydratedState}>) {
  return <Layout dehydratedState={pageProps.dehydratedState}>
    <header>
      <h2>
        <a href="/visuCamembert" id="visuCamembert"   > PieChart</a>
        <a href="/visuBarchart"  id="visuBarchart"    > BarChart</a>
        <a href="/TimeSeries"    id = "visuTimeSeries"> TimeSeries</a>
      </h2>
    </header>
    <Component {...pageProps} />
  </Layout>
}

export default MyApp
